[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / ClientConfig

# Interface: ClientConfig

## Properties

### extraHeaders?

```ts
optional extraHeaders: Record<string, string>;
```

***

### retryConfig?

```ts
optional retryConfig: RetryConfig;
```

***

### timeoutConfig?

```ts
optional timeoutConfig: TimeoutConfig;
```

***

### userAgent?

```ts
optional userAgent: string;
```
